Loading...
Searching...
No Matches
SqlUtil::SqlUtilStringType Class Reference

type for string / varchar / char columns More...

`#include <SqlUtilStringType.qc.dox.h>`

## Public Member Functions

auto | acceptsValue (auto value)
| returns the value if the value can be assigned to the type
| constructor (string native_type, bool nullable, *hash< auto > options)
| creates the object
*hash< string, hash< DataProviderTypeOptionInfo > > | getSupportedOptions ()
| returns supported options

## Detailed Description

type for string / varchar / char columns

Since
  SqlUtil 1.6

## Member Function Documentation

## acceptsValue()

auto SqlUtil::SqlUtilStringType::acceptsValue | ( | auto | value | ) |

returns the value if the value can be assigned to the type

Parameters

  value | the value to assign to the type

Returns
  the value to be assigned; can be converted by the type

## constructor()

SqlUtil::SqlUtilStringType::constructor | ( | string | native_type,
|  | bool | nullable,
|  | *hash< auto > | options )

creates the object

we let the DB drive do any encoding conversions